# Delete Field

Source: https://www.digiparser.com/docs/api/deleteField

# Delete Field

Server URL`loading...`

DELETE

/`api`/`v1`/`parsers`/`{parserId}`/`fields`/`{fieldId}`

Send

Authorization

Path

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

parserId\*string

The ID of the parser

Format`uuid`

fieldId\*string

The field name or ID

## [Response Body](#response-body)

### 200

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X DELETE "https://api.digiparser.com/api/v1/parsers/d1458cd7-8692-488f-8b3f-0fddade05f9c/fields/Invoice Number"
```

200

```
{
  "fields": [
    {
      "id": "string",
      "name": "string",
      "type": "text",
      "description": "string",
      "instructions": "string",
      "required": true,
      "position": 0,
      "options": [
        "string"
      ],
      "columns": [
        {
          "id": "string",
          "name": "string",
          "type": "text",
          "description": "string",
          "instructions": "string",
          "required": true,
          "position": 0,
          "options": [
            "string"
          ],
          "columns": []
        }
      ]
    }
  ],
  "reprocessRecommended": true
}
```

[

Update Field PATCH

Update or rename a scalar field or table field. For table fields, \`columns\` is the full desired column list.

](/docs/api/updateField)[

Reorder Fields POST

Next Page

](/docs/api/reorderFields)